/*
 * The contents of this file are subject to the terms
 * of the Common Development and Distribution License
 * (the License).  You may not use this file except in
 * compliance with the License.
 *
 * You can obtain a copy of the license at
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing
 * permissions and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL
 * Header Notice in each file and include the License file
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.
 * If applicable, add the following below the CDDL Header,
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.web.connector.grizzly.cometd;

import com.sun.enterprise.web.connector.grizzly.comet.*;
import com.sun.enterprise.web.connector.grizzly.cometd.bayeux.Verb;
import java.io.IOException;

/**
 *
 * @author Jeanfrancois Arcand
 */
public abstract class BayeuxCometHandlerBase implements CometdHandler{
    
    public BayeuxCometHandlerBase() {
    }

    public void onEvent(CometEvent event) throws IOException {
        
        Object object = event.attachment();
        
        if (object instanceof CometdContext){
            Verb verb = ((CometdContext)object).getVerb();

            if (verb.getType() == Verb.HANDSHAKE){
                onHandshake(event);
            } else if (verb.getType() == Verb.CONNECT){
                onConnect(event);
            } else if (verb.getType() == Verb.DISCONNECT){
                onDisconnect(event);
            } else if (verb.getType() == Verb.RECONNECT){
                onReconnect(event);
            } else if (verb.getType() == Verb.SUBSCRIBE){
                onSubscribe(event);
            } else if (verb.getType() == Verb.UNSUBSCRIBE){
                onUnsubscribe(event);
            } else if (verb.getType() == Verb.DATA){
                onData(event);
            } else if (verb.getType() == Verb.PING){
                onPing(event);
            } else if (verb.getType() == Verb.STATUS){
                onStatus(event);
            }    
        }
    }
}
