/*
 * The contents of this file are subject to the terms
 * of the Common Development and Distribution License
 * (the License).  You may not use this file except in
 * compliance with the License.
 *
 * You can obtain a copy of the license at
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing
 * permissions and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL
 * Header Notice in each file and include the License file
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.
 * If applicable, add the following below the CDDL Header,
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.web.connector.grizzly.cometd.bayeux;

import org.apache.tomcat.util.http.FastHttpDateFormat;


public class Connect extends VerbBase{
    
    public final static String HTML_HEADER = 
        "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\"" +
        "\"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">" +
        "<html>\n<head>\n<title>Grizzly Cometd</title>" +
        "\n<script type=\"text/javascript\">\nwindow.parent.cometd.deliver(";
            
            
    public final static String DATA_WRAPPER_HEADER =
        ");\n</script>\n</head>\n<body>\n\n<script type=\"text/javascript\">" +
        "window.parent.cometd.deliver([\n{";
            
            
    public final static String DATA_WRAPPER_FOOTER =            
        "</script>\n<br>\n<script type=\"text/javascript\">\n"
      + "window.parent.cometd.tunnelCollapse();\n</script>\n</body>\n</html>";
    
    
    
    public final static String META_CONNECTIONS="/meta/connections/";
    
    
    protected String clientId;
    
    protected String connectionType;
    
    protected String timestamp = FastHttpDateFormat.getCurrentDate();    
    
    public Connect() {
        type = Verb.CONNECT;
    }

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public String getConnectionType() {
        return connectionType;
    }

    public void setConnectionType(String connectionType) {
        this.connectionType = connectionType;
    }


    public String toJSON() {            
        return "[{" 
                + "\"timestamp\":\"" + FastHttpDateFormat.getCurrentDate() + "\","
                + "\"connectionId\":\"" + META_CONNECTIONS + clientId + "\","                
                + "\"error\":\"" + error + "\","
                + "\"successful\":" + successful + ","                
                + "\"channel\":\"" + channel + "\""
                + "}]\n" ;   
    }

    
    
}
