/*
 * The contents of this file are subject to the terms
 * of the Common Development and Distribution License
 * (the License).  You may not use this file except in
 * compliance with the License.
 *
 * You can obtain a copy of the license at
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing
 * permissions and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL
 * Header Notice in each file and include the License file
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.
 * If applicable, add the following below the CDDL Header,
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

package com.sun.enterprise.web.connector.grizzly.cometd.bayeux;

import java.util.ArrayList;


public class Handshake extends VerbBase{
    
    private String version = "0.1";
    
    private String minimumVersion = "0.1";
    
    private String supportedConnectionTypes 
            = "[\"long-polling\",\"iframe\"]";
    
    private String authScheme="";
    
    private String authUser="";
    
    private String clientId;
    
    private Boolean authSuccessful = Boolean.TRUE;
    
    private Advice advice;    

    public Handshake() {
        type = Verb.HANDSHAKE;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getMinimumVersion() {
        return minimumVersion;
    }

    public void setMinimumVersion(String minimumVersion) {
        this.minimumVersion = minimumVersion;
    }

    public String getSupportedConnectionTypes() {
        return supportedConnectionTypes;
    }

    public void setSupportedConnectionTypes(String supportedConnectionTypes) {
        this.supportedConnectionTypes = supportedConnectionTypes;
    }

    public String getAuthScheme() {
        return authScheme;
    }

    public void setAuthScheme(String authScheme) {
        this.authScheme = authScheme;
    }

    public String getAuthUser() {
        return authUser;
    }

    public void setAuthUser(String authUser) {
        this.authUser = authUser;
    }

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public Boolean getAuthSuccessful() {
        return authSuccessful;
    }

    public void setAuthSuccessful(Boolean authSuccessful) {
        this.authSuccessful = authSuccessful;
    }

    public Advice getAdvice() {
        return advice;
    }

    public void setAdvice(Advice advice) {
        this.advice = advice;
    }
    
    public String toString(){
        return toJSON();
    }
    
    public String toJSON() {        
        return "[{" 
                + "\"minimumVersion\":" + minimumVersion + ","
                + "\"authSuccessful\":" + authSuccessful + ","
                + "\"supportedConnectionTypes\":" + supportedConnectionTypes + ","  
                + advice.toJSON() + ","                            
                + "\"channel\":\"" + channel + "\"," 
                + "\"clientId\":\"" + clientId + "\","                    
                + "\"version\":" + version
//                + "\"authToken\":" + authToken + ","
                + "}]\n";              
    } 
}
